// $Header: /home/cvs/jakarta-jmeter/src/core/org/apache/jmeter/gui/tree/JMeterCellRenderer.java,v 1.6 2004/02/13 02:21:36 sebb Exp $
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
*/

package org.apache.jmeter.gui.tree;

import java.awt.Component;

import javax.swing.ImageIcon;
import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;

/**
 * @author Michael Stover
 * @version $Revision: 1.6 $
 */
public class JMeterCellRenderer extends DefaultTreeCellRenderer
{
    public JMeterCellRenderer()
    {
    }

    public Component getTreeCellRendererComponent(JTree tree,
                                                  Object value,
                                                  boolean sel,
                                                  boolean expanded,
                                                  boolean leaf,
                                                  int row,
                                                  boolean hasFocus)
    {
        super.getTreeCellRendererComponent(
            tree,
            ((JMeterTreeNode) value).getName(),
            sel,
            expanded,
            leaf,
            row,
            hasFocus);
        this.setEnabled(((JMeterTreeNode)value).isEnabled());
        ImageIcon ic = ((JMeterTreeNode)value).getIcon();
        if (ic != null)
        {
            setIcon(ic);
        }
        return this;
    }
}
